package com.knecon.fforesight.service.layoutparser.processor.model;

import java.util.ArrayList;
import java.util.List;

import com.knecon.fforesight.service.layoutparser.processor.model.text.StringFrequencyCounter;
import com.knecon.fforesight.service.layoutparser.processor.model.text.UnclassifiedText;
import com.knecon.fforesight.service.layoutparser.processor.visualization.LayoutparsingVisualizations;

import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
public class ClassificationDocument {

    private List<ClassificationPage> pages = new ArrayList<>();
    private List<ClassificationSection> sections = new ArrayList<>();
    private List<ClassificationHeader> headers = new ArrayList<>();
    private List<ClassificationFooter> footers = new ArrayList<>();
    private List<UnclassifiedText> unclassifiedTexts = new ArrayList<>();
    private FloatFrequencyCounter textHeightCounter = new FloatFrequencyCounter();
    private FloatFrequencyCounter fontSizeCounter = new FloatFrequencyCounter();
    private StringFrequencyCounter fontCounter = new StringFrequencyCounter();
    private StringFrequencyCounter fontStyleCounter = new StringFrequencyCounter();
    private LayoutparsingVisualizations visualizations = new LayoutparsingVisualizations();
    private boolean headlines;

    private long rulesVersion;

}
